/*
 * RNAspace: non-coding RNA annotation platform
 * Copyright (C) 2009  CNRS, INRA, INRIA, Univ. Paris-Sud 11
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

html{ 
    background: #eef6f9;
    overflow-y:scroll;
}

body{ 
    margin: 0;
    padding: 0; /* cancel opera's default padding */
    text-align: center; /* for IE */
    font-family:Arial,sans-serif;
	font-size:8pt;
    cursor:default;
    height: 100%;
}

div#container{ 
    width: 1024px;
    margin: 0 auto;
    padding: 0;
    text-align: left;
    background: #fff;
    color: #000;
    position: relative;
    background: #fff url(../img/css_img/border_1024.png) top left repeat-y;
}

/****************************************************************************
* HEADER
****************************************************************************/
#header{ 
    margin: 0;
    padding: 0;
    text-align: left;
    color: #000;  
    height: 160px;
    background: #fff url(../img/css_img/header3.png) top left no-repeat;
}

#header h1{
	margin-left: -5000px;
}

#header h1 a{
	text-decoration: none;
}

#header h1 a:visited{ 
    text-decoration: none;
    color: #000;
}

#header h1 a:hover{ 
    text-decoration: none;
    color: #000;
}

#header p{
	margin-left: -5000px;
}

/****************************************************************************
* MENU
****************************************************************************/
#menu{ 
    padding: 0;
    margin: 0;
    position: absolute;
    top: 133px;  
    right: 52px;
}

#menu ul{
    margin: 0;
    list-style-type: none;
}

#menu ul li{ 
    float: left;
    text-align: center;
    margin-right: 8px;
    line-height: 24px;
    min-height: 24px;
}

#menu ul li a{ 
    display: block;
    width: 120px;
    height: 27px;  
    font-size: 9pt;
    font-weight: bold;
    font: helvetica;
    letter-spacing: 2px;
    text-decoration: none;  
    background-color: #eaeff1;
}

#menu ul li a.active{ 
    color: #4face6;
    background-color: #fff;
    border-bottom: 1px solid #fff;
    background: #fff url(../img/css_img/button_active.png) top left no-repeat;
}

#menu ul li a.inactive, #menu ul li a.notaccessible{ 
    color: #4face6;  
    background: #fff url(../img/css_img/button_inactive1.png) top left no-repeat;
}

#menu ul li a.inactive:hover{ 
    color: #f7be31;
    background: #fff url(../img/css_img/button_inactive1.png) no-repeat 0 -27px;
}

#menu ul li a.notaccessible{
    background: #fff url(../img/css_img/button_notaccessible.png) no-repeat;
    cursor: default;
}

/****************************************************************************
* CONTENT HEADLINE
****************************************************************************/
div#content{
	padding: 20px 30px 20px 30px;
}

div#help_o{
    position: absolute;
    left: 972px;
    top: 138px;
    width: 16px;
    height:16px;
    color: #fff;
}

div#content h4{ 
    margin-left: 25px;
    padding-left: 5px;
}

/* CONTENT HEADER */ 
div.content_header{
    padding: 5px;
    text-align: justify;
    cursor: default;
    margin-bottom: 10px;
}

/* CONTENT RED BOX - FOR ALERT */
div#crb_header{
    margin-top: 0px;
    margin-bottom: 5px;
    background-color: #ffc5c5;
    border: 1px solid #ff7676;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    padding: 2px;
}

div#crb_title{
    float: left;
    text-align: center;
    font-weight:bold;
    line-height: 1.65em;
    background: #ffc5c5;
    margin: 5px 12px 0px 5px;
    padding: 2px 13px 2px 13px;
    border: 1px solid #ffb7b7;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

div#crb_content{
    background-color: #ffffff;
    padding: 9px;
    text-align: justify;
    border: 1px solid #ffb7b7;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

/* CONTENT BLUE BOX */
div.cbb_header{
    margin-top: 0px;
    margin-bottom: 10px;
    background-color: #ecf5f9;
    border: 1px solid #56b0ea;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    padding: 2px;
}

div.cbb_title{
    float: left;
    text-align: center;
    letter-spacing: 2px;
    font-weight: bold;
    line-height: 1.65em;
    background: #ecf5f9;
    margin: 5px 12px 0px 5px;
    padding: 2px 13px 2px 13px;
    border: 1px solid #ddecf6;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

div.cbb_content{
    background-color: #ffffff;
    padding: 9px;
    text-align: justify;
    border:1px solid #ddecf6;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

div.cbb_content2{
    background-color: #ffffff;
    padding: 0px;
    margin-top: 5px;
    height: 80px;
    overflow: auto;
    text-align: justify;
    border: 1px solid #ddecf6;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

div.cbb_filter{
    clear: left;
    background-color: #ffffff;
    border: 1px solid #ddecf6;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    padding: 0px 0px 2px 1px;
    background-image: url('../img/icon/filter2.png');
    background-repeat: no-repeat;
    background-position: top right;
}

div#cbb_info{
    clear: left;
    background-color: #ffffff;
    border: 1px solid #ddecf6;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    padding: 5px 22px 7px 6px;
    background-image: url('../img/icon/info2.png');
    background-repeat: no-repeat;
    background-position: top right;
    text-align: justify;
}
  
/* CONTENT ORANGE BOX */
div.cob_header{
	float: right;
	width: 29%;
    color: #000;
    margin-top: 0px;
    margin-bottom: 5px;
    background-color: #f8eed5;
    border: 1px solid #d59701;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    padding: 2px;
}
  
div.cob_left{
    float: left;
    width: 67%;
    margin-top: 7px;
    margin-bottom: 0px;
    background-color: #f8eed5; 
    border: 1px solid #d59701;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    color: #000;
    padding: 2px;
    margin-right:0px;
}

div.cob_right{
    float: right;
    width: 31%;
    margin-top: 7px;
    margin-bottom: 0px;
    background-color: #f8eed5; 
    border: 1px solid #d59701;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    color: #000;
    padding: 2px;
    margin-left:0px;
}

div.cob_title{
    float: left;
    text-align: center;
    font-weight: bold;
    letter-spacing: 2px;
    line-height: 1.65em;
    background: #f8eed5; 
    margin: 5px 12px 0px 5px;
    padding: 2px 13px 2px 13px;
    border:1px solid #ede4ce;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

div.cob_content{
    color: #000;
    background-color: #ffffff;
    border: 1px solid #ede4ce;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    text-align: justify;
    padding: 9px;
}

/* PARTNERS */
div.partners{
    padding: 5px;
    margin: 5px;
    text-align: left;
    border-top: 1px solid #ddecf6
}

/****************************************************************************
* LINK
****************************************************************************/
a{ 
    text-decoration: none;
    color: #2a70a8;
    font-weight: bold;
}

a:visited{ 
    color: #2a70a8;
    font-weight: bold;
}

a:hover{
    text-decoration: underline;
    color: #d59701;
    font-weight: bold;
}

/****************************************************************************
* INFOBAR HEADLINE
****************************************************************************/
div.infobar{
    float: left;
    width: 200px;
    padding: 0px 0px 10px 0px;
    margin-right: 20px;    
}

div.info_section{
	border: 1px solid #3998d4;
}

a.info_section{ 
    display: block;
    background-color: #3998d4;
    color: #fff;
    font-weight: bold;
    height: 1.8em;
    padding-top: 5px;
    padding-left: 20px;
}

div.info_section div{
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    margin-top: 10px;
}

span.infobar_soft{
	font-weight: bold;
}

ul.infobar{
	padding-left: 10px;
}

ul.infobar2{ 
    list-style-type: circle;
    padding-left: 10px;
}

/****************************************************************************
* PAGE HEADLINE
****************************************************************************/
div.page{
    overflow: hidden;
    height: 1%;
}

/****************************************************************************
* TABLE without borders (default)
****************************************************************************/
table{
    border: 0;
    border-collapse: collapse;
    margin-bottom: 0px;
    margin-top: 2px;
}

td, th{ 
    border: 0;
    padding: 2px 4px;
}

th{
    /*font-size: 1em;*/
    font-weight: bold;  
}

/****************************************************************************
* TABLE with borders
****************************************************************************/
table.border{ 
    border: 1px solid #000;
    width: 100%;
}

table.border td, table.border th{
	border: 1px solid #000;
}

/****************************************************************************
* RESULTS TABLE
****************************************************************************/
table.results{ 
    width: 99%;
    height: auto;
    text-align: center;
    border: 1px solid #56b0ea;
    margin-left: auto; 
    margin-right: auto;
}
	
table.results td,th{ 
    padding: 0;
    padding-right: 2px;
    padding-left: 2px;
    height: 1.8em;
}

table.results th{ 
    color: #fff;
    background-color: #a0c7de;
    border-bottom : 1px dashed #56b0ea;
}

table.results th a{ 
    padding: 2px;
    color: #fff;
}
  
table.results th a:hover{
	color: #d59701;
}
  
table.results tr.pair{ 
    background-color: #ecf5f9; 
    color: #000;
  }

table.results tr.impair{ 
    background-color: #ddecf6; 
    color: #000;
}

table.results tr:hover{ 
    background-color: #f1e0a6;
}

table.results tr.entete:hover{ 
    background-color: #fff;
}

table.results td:hover{
    background-color: #f1e3b3;
}

table.results td.organism{
    font-style: italic;
}

table.results a{
    display: block;
    margin: 0;
}

table.results td a{ 
    padding-top: 0px;
    padding-bottom: 0px;
}

/****************************************************************************
* FOOTER
****************************************************************************/
div#big_footer{ 
    clear: both;
    height: 35px;
}

div#footer{
    position: absolute;
    width: 1024px;
    height: 35px;
    bottom: 0;
    background: #fff url(../img/css_img/footer_1024.png) top left no-repeat;
    z-index: 5;
    color: #fff
}

div#footer p{
    margin-top: 8px;
    padding-right: 35px;
    text-align: right;  
}
  
div#footer p a{
    color: #fff;  
}
  
div#footer p a:hover{
    color: #000;
    color: #d59701;
    font-weight: bold;
}

/****************************************************************************
* HELP
****************************************************************************/
a.help span{ 
    display: none;
}

a.help:hover span{ 
    display: inline;
    position: absolute;
    width: 250px;
    color: #000;
    background-color: #ecf5f9;
    font-weight: normal;
    padding: 5px;
    z-index: 10;
    border: 1px solid #000;
    text-decoration: none;
}  

/****************************************************************************
* OTHER
****************************************************************************/

.border0          {border: 0;}
.bluerightborder  {border-right:1px  solid  #ddecf6; padding: 10px}
.bluetopborder    {border-top:1px    solid  #ddecf6;}
.bluetopborderd   {border-top:1px    dashed #ddecf6;}
.bluebottomborder {border-bottom:1px solid  #ddecf6;}

ul{ 
    list-style-type: square;
}

pre{
    margin:0px;
    font-size: 8pt;
    padding:0px;
}

td.error{ 
    font-weight: bold;
    color: #f00;
}

.select{
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 100%;
    background-color: #ecf5f9;
    color: #000;
    border: 1px solid rgb(215, 215, 215);
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.selectexport{
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 100%;
    background-color: #f4e3bc;
    color: #000;
    border: 1px solid rgb(215, 215, 215);
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.button{
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 100%;
    background-color: #cbe2f1;
    color: #145c93;
    border: 1px solid rgb(215, 215, 215);
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.button:hover{
    border-color: #56b0ea;
}

.button_bp{
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 100%;
    background-color: #f8eed5;
    color: #d59701;
    border: 1px solid #ede4ce;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.button_bp:hover{
    border-color: #d59701;
}

.customizeinput{
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 100%;
    background-color: #fff;
    color: #000;
    border: 1px solid rgb(215, 215, 215); /*#cbe2f1;*/
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

a.toggletext{ 
    display: block;
    background-color: #3998d4;
    color: #fff;
    font-weight: bold;
    height: 1.8em;
    padding-top: 5px;
    padding-left: 20px;
}

span.toggletext{ 
    display: block;
    background-color: #3998d4;
    color: #fff;
    font-weight: bold;
    height: 1.8em;
    padding-top: 5px;
    padding-left: 20px;
}


div.addedseqblock{ 
    padding-left: 0;
    padding-right: 0;
    background-color: #F3F9FF;/* #ECF3F8; */
}

div.row{
    width: 100%;
    clear: both;
    display: block;
    padding-top: 5px;
}

div.added{
    color: #3c7cd3;
    overflow: auto ;
}

select.limited_width{
    width: 150px;
}

div.right{ 
    position: relative;
    left: 350px;
}

div#help{ 
    border: 1px solid #000;
    padding: 10px;
}

a.param_help{ 
    display: block;
    width: 70px;
    font-size: 1.3em;
    float: right;
}

/****************************************************************************
* HISTORY PAGE
****************************************************************************/
span.history_date, a.history_date{ 
    font-weight: bold;
    height: 1.8em;
    width: 200px;
    padding-top: 3px;
    text-align: center;
    display: block;
    color: #fff;
    background-color: #3998d4;
    margin-bottom: 0px;
    margin-top: 20px;
}

div.date_entry{ 
    margin-top: 0;
    margin-bottom: 20px;
    border-left: 1px solid #3998d4;
    border-bottom: 1px solid #3998d4;
    border-top: 1px solid #3998d4;
    border-right: 1px solid #3998d4;
    padding-top: 15px;
}

div.date_entry table{ 
    margin-top: 0;
}

div.date_entry ul{   
    margin-top: 0;  
}

span.soft_entry, a.soft_entry{ 
    font-weight: bold;
    margin-left: 10px;
    display: block;
    width: 150px;
}

ul.history li{ 
    margin-bottom: 0px;
}

ul.history li.pair{ 
    background-color: #fff;
}

ul.history li.impair{ 
    background-color: #f0f0f0;
}

ul.history li:hover{ 
    background-color: #ecf5f9;
}

span.h_action{ 
    font-weight: bold;
    margin-right: 15px;
    font-size: 1.0em;
}

span.h_run_id{ 
    margin-right: 15px;
    font-size: 1.0em;
}

span.h_predictor{ 
    margin-right: 15px;
    font-size: 1.0em;
}

span.h_opts{ 
    margin-right: 0px;
    font-style: italic;
    font-size: 1.0em;
}

/****************************************************************************
* PREDICT PAGE
****************************************************************************/
div.parameters{width: 100px;}
div.email{width: 200px;}
div.submit{width: 80px;}
div.check{width: 30px; margin-top: -2px;}
div.soft_description{ 
    border: 1px solid #56B0EA;
    background-color: #ecf5f9;
    clear: both;
    width: 230px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    padding: 10px;
}
div.predict_content{padding-left: 32px;}
div.predict_subcontent{padding-left: 40px; clear: left;}
div.inference_soft, div.aggregation_soft, div.conservation_soft{ 
    float: left;  
    width: 280px;
    min-height: 60px;
    margin-right: 10px;
    margin-top: 0px;
}
div.soft_box_title{margin-bottom: 6px;}
div.soft_box{ 
    min-height: 70px;
    border:1px solid #ddecf6;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;  
    padding: 10px;
    padding-left: 20px;
}
div.soft_box_name{width: 120px; float: left;}
div.soft_box .parameters_button{float: left;}
div.soft_box_line{margin-bottom: 10px;}
.predict-table tr{height: 30px;}
.softname_known{width: 250px;}
.type_known{padding-left: 10px;}
.desc_known{width: 100px;}

/****************************************************************************
* ALIGNMENT PAGE
****************************************************************************/
.align_id{ 
	font-size: 1.2em;
	font-weight: bold;
}

.alignment_content{ 
	margin-top: 10px;
}

.alignment_content table tr td{ 
	vertical-align: top;
	padding-right: 35px;
}

.alignment_consensus img{ 
	width: 320px;
}

.alignment_consensus{ 
	text-align: center;
}

.consensus-image:hover{ 
	cursor: pointer;
}

.consensus-dialog{ 
	display: none;
}

div.cbb_contentAlign{
	background-color:#ffffff;
	padding: 0px;
	margin-top:5px;
	overflow:auto;
	text-align: justify;
	border:1px solid #ddecf6;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
}

#pages, #pages_bottom{ 
	text-align: center;
	margin-bottom: 3px;          
}

.top-bot-sequence, .align-score{ 
	font-weight: bold;
}

p.tooltip{
    position: absolute;
    background-color: #000;
    opacity: 0.8;
    color: #fff;
    z-index: 3000;
    border:1px solid #ddecf6;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;    
    padding: 10px;
}
